# Enum Class RecurrenceType

java.lang.Object
java.lang.Enum<RecurrenceType>
com.independentsoft.pst.RecurrenceType

All Implemented Interfaces:
  `Serializable`, `Comparable<RecurrenceType>`, `Constable`

public enum RecurrenceType extends Enum<RecurrenceType>
Specifies the recurrence type of a recurring appointment or task.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAILY`
  The item recurs on a daily basis.
  `MONTH_NTH`
  The item recurs on the nth weekday of each month.
  `MONTHLY`
  The item recurs on a specific day of each month.
  `NONE`
  The recurrence type is not specified.
  `WEEKLY`
  The item recurs on a weekly basis.
  `YEAR_NTH`
  The item recurs on the nth weekday of a specific month each year.
  `YEARLY`
  The item recurs on a specific day each year.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RecurrenceType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RecurrenceType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DAILY

    public static final RecurrenceType DAILY
    The item recurs on a daily basis.

  - ### WEEKLY

    public static final RecurrenceType WEEKLY
    The item recurs on a weekly basis.

  - ### MONTHLY

    public static final RecurrenceType MONTHLY
    The item recurs on a specific day of each month.

  - ### MONTH_NTH

    public static final RecurrenceType MONTH_NTH
    The item recurs on the nth weekday of each month.

  - ### YEARLY

    public static final RecurrenceType YEARLY
    The item recurs on a specific day each year.

  - ### YEAR_NTH

    public static final RecurrenceType YEAR_NTH
    The item recurs on the nth weekday of a specific month each year.

  - ### NONE

    public static final RecurrenceType NONE
    The recurrence type is not specified.

- ## Method Details

  - ### values

    public static RecurrenceType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RecurrenceType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null